Role Playing Database (API Documentation) 3.1.3

Public Member Functions | Static Public Member Functions | List of all members
RolePlayingDB3::LevelEditor Class Reference

## Public Member Functions
| checksave ()
| new ()
| open ()
| save ()
| saveas (_filename="")
| print ()
| close (...)
| LevelEditor (...)
| updatespacetree ()
| drawspace (canvas, X, Y, color, size,...)
| updatelevelmapcolor (color, spacetag)
| rescalelevelmap ()
| drawonespace (X, Y, color, spacetag)
| updatelevelmap ()
| recreateXML ()
| updatemediatree ()
| removeeditor (se)
| updateleveltree ()
| updatemediatree ()
| setspaceposition (XLE, YLE, spacename)

## Static Public Member Functions
static | new (...)
static | open (...)
static | printLevel (pdfobj, leveldir, curpageV, curlineV, heading,...)

## Detailed Description

Level editor

## Constructor & Destructor Documentation

## ◆ LevelEditor()

RolePlayingDB3::LevelEditor::LevelEditor | ( |  | ... | ) |

Constructor – construct a level editor.

Parameters

  widgetpath | Widget path.
  ... | Options: -template Template to use for a new level. -mapbundlemountpoint Map bundle mount point. -mapeditor Parent map editor. -leveldir Level directory.

## Member Function Documentation

## ◆ checksave()

RolePlayingDB3::LevelEditor::checksave | ( |  | ) |

Check if save is needed.

## ◆ close()

RolePlayingDB3::LevelEditor::close | ( |  | ... | ) |

Close this level editor.

Parameters

  ... | Options: -dontask Flag to supress asking. -dontsave Flag to supress saving. -closingallwindows Flag if we are closing all windows.

## ◆ drawonespace()

RolePlayingDB3::LevelEditor::drawonespace | ( | X | ,
|  | Y | ,
|  | color | ,
|  | spacetag |
| ) |  |

Draw one space

Parameters

  X | The X coordinate.
  Y | The Y coordinate.
  color | The color.
  spacetag | The space tag.

## ◆ drawspace()

RolePlayingDB3::LevelEditor::drawspace | ( | canvas | ,
|  | X | ,
|  | Y | ,
|  | color | ,
|  | size | ,
|  |  | ...
| ) |  |

Draw the space.

Parameters

  canvas | The canvas to draw to.
  X | The X coordinate.
  Y | The Y coordinate.
  color | The color.
  size | The size.
  ... | Options passed along to the map editor draw space method.

## ◆ new() [1/2]

RolePlayingDB3::LevelEditor::new | ( |  | ) |

Create a new level.

## ◆ new() [2/2]

static RolePlayingDB3::LevelEditor::new | ( |  | ... | ) |
| static

Create a new level.

Parameters

  ... | Options: -mapbundlemountpoint Map mount point bundle. -parent Parent window. -mapeditor Parent map editor. -leveldir Level directory.

Returns
  the new toplevel.

## ◆ open() [1/2]

RolePlayingDB3::LevelEditor::open | ( |  | ) |

Open a level file.

## ◆ open() [2/2]

static RolePlayingDB3::LevelEditor::open | ( |  | ... | ) |
| static

Open a level file.

Parameters

  ... | Options: -mapbundlemountpoint Map mount point bundle. -parent Parent window. -mapeditor Parent map editor. -leveldir Level directory.

Returns
  the new toplevel.

## ◆ print()

RolePlayingDB3::LevelEditor::print | ( |  | ) |

Print this level (to a PDF file).

## ◆ printLevel()

static RolePlayingDB3::LevelEditor::printLevel | ( | pdfobj | ,
|  | leveldir | ,
|  | curpageV | ,
|  | curlineV | ,
|  | heading | ,
|  |  | ...
| ) |  |
| static

Print (to a PDF file) the level.

Parameters

  pdfobj | The PDF object to print to.
  leveldir | The level directory.
  curpageV | Current page variable.
  curlineV | Current line variable.
  heading | Heading.
  ... | Options: -mapbundlemountpoint The map bundle mount point. -mapeditor The parent map editor. -parent The parent window.

## ◆ recreateXML()

RolePlayingDB3::LevelEditor::recreateXML | ( |  | ) |

Regenerate the XML string.

## ◆ removeeditor()

RolePlayingDB3::LevelEditor::removeeditor | ( | se |  | ) |

Remove the selected editor.

Parameters

  se | The space editor to remove.

## ◆ rescalelevelmap()

RolePlayingDB3::LevelEditor::rescalelevelmap | ( |  | ) |

Rescale the level map.

## ◆ save()

RolePlayingDB3::LevelEditor::save | ( |  | ) |

Save the current file.

## ◆ saveas()

RolePlayingDB3::LevelEditor::saveas | ( | _filename | = `""` | ) |

Save to a new file.

Parameters

  _filename | The filename to save to.

## ◆ setspaceposition()

RolePlayingDB3::LevelEditor::setspaceposition | ( | XLE | ,
|  | YLE | ,
|  | spacename |
| ) |  |

Set the space's position.

Parameters

  XLE | The X position entry.
  YLE | The Y position entry.
  spacename | The space name.

## ◆ updatelevelmap()

RolePlayingDB3::LevelEditor::updatelevelmap | ( |  | ) |

Update the level map.

## ◆ updatelevelmapcolor()

RolePlayingDB3::LevelEditor::updatelevelmapcolor | ( | color | ,
|  | spacetag |
| ) |  |

Update the level map color.

Parameters

  color | New color
  spacetag | The space tag.

## ◆ updateleveltree()

RolePlayingDB3::LevelEditor::updateleveltree | ( |  | ) |

Update the level tree.

## ◆ updatemediatree() [1/2]

RolePlayingDB3::LevelEditor::updatemediatree | ( |  | ) |

Update the media tree.

## ◆ updatemediatree() [2/2]

RolePlayingDB3::LevelEditor::updatemediatree | ( |  | ) |

Update the media tree.

## ◆ updatespacetree()

RolePlayingDB3::LevelEditor::updatespacetree | ( |  | ) |

Update space tree.

The documentation for this class was generated from the following file:

- RPGMapLevelSpace.tcl